
package com.tmerclub.cloud.biz.service;

import com.tmerclub.cloud.biz.model.QrcodeTicket;
import com.tmerclub.cloud.biz.vo.QrcodeTicketVO;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;

/**
 * 二维码数据信息
 *
 * @author cl
 * @date 2021-08-13 15:32:12
 */
public interface QrcodeTicketService {

    /**
     * 分页获取二维码数据信息列表
     * @param pageDTO 分页参数
     * @return 二维码数据信息列表分页数据
     */
    PageVO<QrcodeTicket> page(PageDTO pageDTO);

    /**
     * 根据二维码数据信息id获取二维码数据信息
     *
     * @param ticketId 二维码数据信息id
     * @return 二维码数据信息
     */
    QrcodeTicket getByTicketId(Long ticketId);

    /**
     * 保存二维码数据信息
     * @param qrcodeTicket 二维码数据信息
     */
    void save(QrcodeTicket qrcodeTicket);

    /**
     * 更新二维码数据信息
     * @param qrcodeTicket 二维码数据信息
     */
    void update(QrcodeTicket qrcodeTicket);

    /**
     * 根据二维码数据信息id删除二维码数据信息
     * @param ticketId 二维码数据信息id
     */
    void deleteById(Long ticketId);

    /**
     * 根据二维码获取二维码信息
     * @param ticket 二维码
     * @return 二维码信息
     */
    QrcodeTicketVO getByTicket(String ticket);
}
